#! /usr/bin/env python
# -*- coding: iso-8859-15 -*-

import sys, os, glob
from distutils.core import setup

# Patch distutils if it can't cope with
# the "classifiers" or "download_url" keywords.
if sys.version < '2.2.3':
  from distutils.dist import DistributionMetadata
  DistributionMetadata.classifiers = None
  DistributionMetadata.download_url = None

#
# Setup + setup.cfg
#
setup(name='earth17',
      version='0.1.2',
      description='Earth17 = E17 + XPlanet',
      author='Mikael NAVARRO',
      author_email='klnavarro@free.fr',
      contact='Mikael NAVARRO',
      contact_email='klnavarro@gmail.com',
      long_description='Generate e17 backgrounds using XPlanet.',
      license='GNU General Public License',
      url='https://gna.org/projects/pyawale',
      download_url = 'http://download.gna.org/pyawale',
      platforms='Theorically all platforms.',
      data_files = [('.', ['README', 'INSTALL', 'AUTHORS', 'COPYING',
                           'NEWS', 'ChangeLog']),
                    ('cfg', [os.path.join("cfg", f) for f in os.listdir("cfg") if not f.endswith('~')]),
                    ('images', [f for f in glob.glob("map/*.jpg")])],
      scripts=['src/earth17.py'],
      classifiers = ['Development Status :: 4 - Beta',
                     'Intended Audience :: End Users/Desktop',
                     'Environment :: X11 Applications',
                     'License :: OSI Approved :: GNU General Public License (GPL)',
		     'Operating System :: POSIX :: Linux',
                     'Programming Language :: Python',
		     'Topic :: Desktop Environment :: Window Managers :: Enlightenment',
		     'Topic :: Scientific/Engineering :: Astronomy']
      )
